import { Component } from '@angular/core';
import { trigger, transition, useAnimation } from '@angular/animations';
import { fadeIn, fadeOut } from '../animations/fade';
import { AnimationsHelper } from '../util/animations-helper';
var NgbModalBackdrop = (function () {
    function NgbModalBackdrop() {
        this.animationsHelper = new AnimationsHelper();
    }
    return NgbModalBackdrop;
}());
export { NgbModalBackdrop };
NgbModalBackdrop.decorators = [
    { type: Component, args: [{
                selector: 'ngb-modal-backdrop',
                template: '',
                host: {
                    'class': 'modal-backdrop fade show',
                    '[@modalBackdrop]': 'animationsHelper.state',
                    '(@modalBackdrop.done)': 'animationsHelper.stateChanges.next($event)'
                },
                animations: [trigger('modalBackdrop', [transition('void => enter', useAnimation(fadeIn)), transition('enter => exit', useAnimation(fadeOut))])]
            },] },
];
/** @nocollapse */
NgbModalBackdrop.ctorParameters = function () { return []; };
//# sourceMappingURL=modal-backdrop.js.map