import { Subject } from 'rxjs/Subject';
import { filter } from 'rxjs/operator/filter';
import { take } from 'rxjs/operator/take';
var ENTER_STATE = 'enter';
var EXIT_STATE = 'exit';
var AnimationsHelper = (function () {
    function AnimationsHelper() {
        this.state = ENTER_STATE;
        this.stateChanges = new Subject();
    }
    AnimationsHelper.prototype.triggerExitAnimation = function () {
        var _this = this;
        var exitAnimationCompleted = new Promise(function (resolve, reject) {
            take.call(filter.call(_this.stateChanges, function (event) { return event.toState === EXIT_STATE; }), 1).subscribe(resolve, reject);
        });
        this.state = EXIT_STATE;
        return exitAnimationCompleted;
    };
    return AnimationsHelper;
}());
export { AnimationsHelper };
//# sourceMappingURL=animations-helper.js.map